Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security
Class BaseMBeanImpl

    java.lang.Object
      |
      +--weblogic.management.security.BaseMBeanImpl

Direct Known Subclasses:
  ProviderImpl, UserLockoutManagerImpl

public class BaseMBeanImpl
extends java.lang.Object

The base class for commo mbean implementations. It gives the mbean implementation access to its configuration attributes.

Many commo mbeans have both configuration attributes (for example, a hostname and port to its database) and management behaviors (eg. methods to create a user). The mbean implementation implements these management behaviors. The management method implementations typically needs to access the configuration parameters. This base class provides that access.

commo mbeans are based on jmx required model mbeans.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`BaseMBeanImpl(javax.management.modelmbean.RequiredModelMBean base)` Class constructor specifying the corresponding required model mbean.

Method Summary
`protected weblogic.management.commo.StandardInterface` | `getProxy()` Gets this mbean's proxy.
`protected javax.management.modelmbean.RequiredModelMBean` | `getRequiredModelMBean()` Gets this mbean's `RequiredModelMBean`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseMBeanImpl

    public BaseMBeanImpl(javax.management.modelmbean.RequiredModelMBean base)
                  throws javax.management.MBeanException

  Class constructor specifying the corresponding required model mbean.

  Parameters:
    `base` - required model mbean for this mbean implementation
  Throws:
    javax.management.MBeanException - Description of the Exception

Method Detail

### getRequiredModelMBean

    protected javax.management.modelmbean.RequiredModelMBean getRequiredModelMBean()

  Gets this mbean's `RequiredModelMBean`.

  This can be used to get the mbean's attributes using the lower level jmx required model mbean methods.

  Returns:
    the required model mbean.

### getProxy

    protected weblogic.management.commo.StandardInterface getProxy()
                                                            throws javax.management.MBeanException

  Gets this mbean's proxy.

  This can be used to get the mbean's attributes using the proxy interface (vs. the lower level jmx calls).

  Returns:
    the commo proxy for this mbean.
  Throws:
    javax.management.MBeanException - Description of the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD